package com.jeeplus.test.cw.contractRegistration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.contractRegistration.domain.ContractFile;
import com.jeeplus.test.cw.contractRegistration.domain.ContractInfo;
import com.jeeplus.test.oss.domain.WorkAttachment;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-10 16:10
 **/
public interface ContractFileMapper extends BaseMapper<ContractFile> {

    List<WorkAttachmentDto> findDtos(@Param("id") String id);

    ContractFile findById (@Param("id") String id);

    ContractFile findByInfoId (@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("filedType")String filedType);

    ContractFile selectFileByContractInfoId (@Param("id") String id);

    List<WorkAttachment> findList(@Param("id") String id);

    Integer findIsExit(@Param("id") String id, @Param("name")String name);
}
