package com.jeeplus.test.cw.projectReport.controller;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.jeeplus.sys.utils.Global;
import com.jeeplus.sys.utils.SpringContextHolder;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReportData;
import com.jeeplus.test.cw.projectReport.service.CwProjectReportService;
import com.jeeplus.test.signature.domain.PresignCallBack;
import org.springframework.data.redis.connection.jedis.JedisUtils;
import org.springframework.security.core.userdetails.User;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.lang.reflect.Type;
import java.util.*;

/**
 * 项目签章回调接口Controller
 * @author 徐滕
 * @version 2021-11-04
 */
@Controller
@RequestMapping(value = "/cwProjectReport/signatureCallBack")
public class CwProjectReportSignatureCallBackController {


    private CwProjectReportService cwProjectReportService = SpringContextHolder.getBean(CwProjectReportService.class);


    private static final String HTTPTOP = Global.getConfig("signature_http_top");

    private final static String apptoken = Global.getConfig("apptoken");
    private final static String appsecret = Global.getConfig("appsecret");
    private final static String signature = Global.getConfig("signature");


    /**
     * 审定单签章回调操作(个人职业章盖章)
     * @param presignCallBack  回调参数
     * @return
     */
    @RequestMapping(value = "/getApprovalCallBackCoordinates", method= RequestMethod.POST)
    public String getApprovalCallBackCoordinates(PresignCallBack presignCallBack) throws Exception {

        /*Jedis jedis = JedisUtils.getResource();
        String contractIdRedis = jedis.get("qiyuesuo" + presignCallBack.getContractId());
        String auditUsersStr = jedis.get("qiyuesuoAuditUserList" + presignCallBack.getContractId());
        Gson gson = new Gson();
        ProjectApprovalSignature projectApprovalSignature1 = gson.fromJson(contractIdRedis, ProjectApprovalSignature.class);

        Type listType = new TypeToken<ArrayList<User>>(){}.getType();
        List<User> auditUserList = new Gson().fromJson(auditUsersStr, listType);

        //根据contractId查询对应的报告信息
        CwProjectReportData projectReportData = cwProjectReportService.queryById(projectApprovalSignature1.getId());

        if(null == projectReportData){
            return null;
        }
        //根据项目id查询对应的审定单数据状态是否是已经被送审
        ProjectApprovalSignature projectApprovalSignature = cwProjectReportService.getProjectApprovalSignature(projectReportData.getId());*/

        //对数据进以及流程行处理
        //approvalSaveAudit(projectApprovalSignature1,auditUserList);

        return null;
    }


}
