package com.jeeplus.test.cw.projectReportArchive.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.test.cw.projectRecords.service.dto.CwProjectRecordsDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 财务-项目报告归档-项目归档
 */
@Data
public class CwProjectReportArchiveDTO extends BaseDTO {

    public static final String BIZ_CODE = "15";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 档案名称
     */
    private String name;

    /**
     * 被审计单位
     */
    private String auditedUnits;

    /**
     * 报告册数
     */
    private String reportNum;

    /**
     * 底稿册数
     */
    private String papersNum;

    /**
     * 档案年度
     */
    private String year;

    /**
     * 案卷号
     */
    private String number;

    /**
     * 确认案卷号
     */
    private String isNumber;

    /**
     * 归档时间
     */
    private Date auditDate;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 项目信息
     */
    private CwProjectRecordsDTO cwProjectRecordsDTO;

    /**
     * 其他附件
     */
    private List<WorkAttachmentArchiveDto> WorkAttachmentDtoList;

    /**
     * 审计报告
     */
    private List<CwProjectReportArchiveReportDTO> cwProjectReportArchiveReportDTOList;

    /**
     * 被审计单位名称
     */
    private String auditedUnitsName;

    /**
     * 归档时间区间
     */
    private String[] auditDates;

    /**
     * 创建时间区间
     */
    private String[] createDates;

    /**
     * 报告文号
     */
    private String reportNo;

    /**
     * 档案号
     */
    private String fileNumber;

    private static final long serialVersionUID = 1L;
}